Datasets
List dataset rows
Page through the validated rows of one of your datasets: those of version, or of the
latest.
GET
/
v1
/
datasets
/
{dataset_id}
/
rows
List dataset rows
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id}/rows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}/rows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"decisions": [
{
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
}
],
"model": "<string>",
"context": "",
"images": [
{
"id": 32,
"media_type": "image/jpeg",
"data": "<string>"
}
],
"fallback": "auto",
"temperature": 2.6,
"targets": {},
"rewards": {}
}
],
"total": 123,
"offset": 123,
"limit": 123,
"has_more": true,
"version": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Query Parameters
List dataset rows
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id}/rows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}/rows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"decisions": [
{
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
}
],
"model": "<string>",
"context": "",
"images": [
{
"id": 32,
"media_type": "image/jpeg",
"data": "<string>"
}
],
"fallback": "auto",
"temperature": 2.6,
"targets": {},
"rewards": {}
}
],
"total": 123,
"offset": 123,
"limit": 123,
"has_more": true,
"version": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}